package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.MhPostInspect;

import java.util.Map;

/**
 * <p>
 * 查岗信息 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-08-24
 */
public interface MhPostInspectService extends CrudService<MhPostInspect> {

    /**
     * 值班查岗-查岗记录数据列表查询接口（闵行支队、企业版）
     *
     * @param companyId 单位ID
     * @param pageNum   当前页
     * @param pageSize  每页条数
     * @return
     */
    CommonPage<MhPostInspect> postInspectRecordList(String companyId, Integer pageNum, Integer pageSize);

    /**
     * 值班查岗-查岗记录页面响应时间、查岗次数等统计查询接口（闵行支队、企业版）
     *
     * @param companyId 单位ID
     * @return
     */
    Map<String, Object> postInspectRecordStatistics(String companyId);
}
