package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.fire.domain.BaseCompany;
import com.usky.fire.mapper.BaseCompanyMapper;
import com.usky.fire.service.BaseCompanyService;
import com.usky.fire.service.BaseUserCompanyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 联网单位信息表 服务实现类
 * </p>
 *
 * @author JCB
 * @since 2022-08-23
 */
@Service
public class BaseCompanyServiceImpl extends AbstractCrudService<BaseCompanyMapper, BaseCompany> implements BaseCompanyService {

    @Autowired
    private BaseUserCompanyService baseUserCompanyService;

    @Override
    public List<BaseCompany> userCompanySelect() {
        List<String> companyIdList = baseUserCompanyService.companyIdList();
        List<BaseCompany> list = new ArrayList<>();
        if (CollectionUtils.isNotEmpty(companyIdList)) {
            list = this.companySelect(companyIdList);
        }
        return list;
    }


    @Override
    public List<BaseCompany> companySelect(List<String> companyIdList) {
        LambdaQueryWrapper<BaseCompany> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.select(BaseCompany::getCompanyId, BaseCompany::getCompanyName)
                .in(BaseCompany::getCompanyId, companyIdList)
                .eq(BaseCompany::getEnable, 0)
                .orderByDesc(BaseCompany::getId);
        List<BaseCompany> list = this.list(queryWrapper);
        return list;
    }

}
